Vastattu

Onko Elisa tietoturvassa virhe?


Käyttäjätaso 2
  • Vakituinen vieras
  • 75 kommenttia
Antaa tuonlaista virheilmoitusta tapahtumien valvontaan, Perflib: Windows ei voi ladata laajennettavan laskurin DLL-tiedostoa F-Secure Gatekeeper Handler Starter. Dataosan ensimmäiset neljä tavua (DWORD) sisältävät Windows-virhekoodin.

Ongelma on alkanut 13.11.2013 ja sitä esiintyy kerran tai kaksi päivässä, vähintään jokatoinen päivä.

Käyttis win 8.1 pro 64bit. Elisa tietoturva 12.83 build 104.

Onko muilla ilmennyt vastaavaa?
icon

Vastauksen tähän kysymykseen jakoi THDX 4 kesäkuu 2014, 17:25

 Asia siirtyy nyt F-Securen kehitys ja tutkinta puolelle.

Elisan tuen välittämien ja F-Securen antamien ohjeiden mukaisilla Windowsin rekisterin muokkauksilla pääsi ko. virheilmoituksesta eroon. Asia tullaan kuulemma korjaamaan seuraavassa ohjelmistopäivityksessä. :)

Katso alkuperäinen viesti

58 kommenttia

Maisanpappa kirjoitti:
Yritinpä asentaa tuolta Windows 8:lle, asennus kysyi tilauskoodin, hyväksyi sen ja kertoi, että aiempaa tilausta jatkettu 2030 saakka. Sitten oli ainoana vaihtoehtona sulje ja sehän sulkeutui. Siinä se. Ei päivittynyt.

Eihän tämä nyt näin voi toimia.

Mac OS:ää en viitsi edes kokeilla.


Päivitys vaatii tässä vaiheessa vanhan version poiston ennen uuden lataamista.

Vaihto voi lisäksi edellyttää tietoturvan lisenssin vapauttamisen asiakaspalvelun  kautta.

14.1 versio on tullut nettiin jo jakoon ja ladattavissa meidän sivuilta. Vanhojen asiakkaiden ohjelmistopäivityksestä ilmoitetaan vielä erikseen. Eli ohjelman voi poistaa ja ladata uudestaan, mikäli tämän haluaa heti :) 14.1 sisältää tässä vaihessa enempi ulkoasuun ja sitä kautta käytettävyyteen liittyviä uudistuksia, mutta turvaominaisuuksia ei ainakaan tässä vaiheessa ole tullu lisää
Minulla meni asennus ilman virheilmoitusta, kun poistin vanhan Windows 8.1 Ohjauspaneelin "Ohjelmat ja toiminnot"-kautta.

Uudet versiot:
Elisa Turvakeskus 1.99 build 192

Elisa Tietoturva 14.99 build 103

Tietoturvan versiotiedot löytyvät  Tietoturvan etusivun ?-merkin takaa.
Käyttäjätaso 2

Rapsi kirjoitti:

THDX kirjoitti:

Rapsi kirjoitti:
Hei THDX,

No jopas, ei siis 14.1 poistanutkaan kyseistä ongelmaa.

Nyt olisi hyvä ladata tuolta FSDIAG-ohjelma: http://asiakastuki.saunalahti.fi/aihe/sl-ladattavat/1/ (kohdasta "Apuohjelmat ongelmatilanteissa"). Se luo lokitiedoston, joka liitetään vikailmoitukseen. Ilmoittele tähän ketjuun, kun olet suorittanut FSDIAG-ohjelman, niin tehdään vikailmoitus. Ilmoitellaan sitten s-postiosoite ja vikailmoituksen numero, joka tulisi liittää s-postin otsikkoon.

FSDIAG- ohjelma on suoritettu.

Lähetin sähköpostiisi viestin. Voit vastata siihen ja liittää vastaukseen FSDIAG-tiedoston, niin vikailmoitus lähtee niillä tiedoilla tutkittavaksi.

Vastaus on lähetetty, ison lokitiedoston kera 218Mt. Upload- nopeus on sen verran vaatimaton että lähetys kesti n. 35min.

F-Securen sivuilla puhuttiin n.10MB: stä tiedostosta tai max 100MB: stä.

http://www.f-secure.com/fi/web/home_fi/support/contact/fsdiag
Käyttäjätaso 5
Kunniamerkki
Selailin tapahtumienvalvontaa tarkemmin ja huomasin, että myös SideBySide herjaa Elisa Tietoturvasta. Lisäsin alla olevaan virheilmoitukseen välilyönnit pilkkujen perään, jotta rivinvaihdot osuisivat sopivampiin kohtiin Palstalla.

Aktivointikontekstin luonti epäonnistui (c:program fileselisa turvakeskusappscomputersecurityCommonfstsutil64.exe). Riippuvaista kokoonpanoa Microsoft.VC80.CRT, processorArchitecture="amd64", publicKeyToken="1fc8b3b9a1e18e3b", type="win32", version="8.0.50727.762" ei löytynyt. Yksityiskohtaisen vianmäärityksen voi tehdä ohjelmalla sxstrace.exe.

Googlettelun perusteella tuo virheilmoitus viittaa siihen, että koneeseen ei ole asennettu Microsoft Visual C++ 2005 SP1 Redistributable Package (x86):n versiota 8.0.50727.762. Latasin ja suoritin kyseisen päivityksen asennusohjelman, mutta päivitystä ei näy edelleenkään asennettujen ohjelmien luettelossa. Siellä on Microsoft Visual C++ 2005 Redistributablen versiot 8.0.56336 ja 8.0.61001, jotka ovat versionumeron perusteella uudempia kuin tuo 8.0.50727.762.

Ilmeisesti nämä eivät ole vakavia virheitä, koska Elisa Tietoturva näyttää toimivan moitteettomasti, mutta olisihan se kiva, jos näistä pääsisi eroon.

Minulla on 32-bittinen Windows 8.1 Pro ja Elisa Turvakeskus 1.62 build 366.
Käyttäjätaso 5
Kunniamerkki
Googlettelin asiaa lisää ja löysin F-Securen saksankieliseltä keskustelupalstalta yli vuoden vanhan ketjun, jossa kysytään samaisesta Perflib-virheilmoituksesta kuin täälläkin. Tuolla kyseessä on F-Secure Internet Security 2013. Käyttöjärjestelmästä ei ole mainintaa. F-Securen edustaja vastasi, että kyseessä ei ole vakava ongelma, mutta totesi, että tuota virheilmoitusta ei kuuluisi tulla näkyviin ja pyysi käyttäjää lähettämään fsdiag-tiedoston.

Eli aika kauan tätä on jo tutkittu, jos saksalainen käyttäjä on tuolloin lähettänyt pyydetyt tiedot.
Käyttäjätaso 3
Elisa tietoturvaa voi olla samalla koodilla 3 aktiivista asennusta, koodin voi siis uudelleenkäyttää asennuksen yhteydessä.
Täällä http://asiakastuki.elisa.fi/aihe/ladattavat/1/ oleva linkki lataa ElisaNetworkinstallerin, joka puolestaan lataa uusimman version. Sivulla tosin on vielä versio 12 mainittu.
Käyttäjätaso 4
Tietoturvaan on tulossa ihan lähiaikoina uusi päivitys versioon 14.1, joten kannattaa seurailla milloin päivitys tulee. Kyllä se sieltä sitten sinullekin tupsahtaa. Pääset sitten noista virheilmoituksistakin eroon.
Käyttäjätaso 2

THDX kirjoitti: Ts. on edelleen epävarmaa eteneekö asia?

 

Asiaa on nyt tutkittu F-Securen toimesta. Heidän ohje on käyttää poistotyökalua ja asentaa uudelleen. Tein ohjeen mukaan. Valitettavasti tuosta ei ole mitään apua. Odottelen nyt Elisan tuen lisäohjeita.
Käyttäjätaso 7
Kunniamerkki +2

antero kirjoitti:
Täällä http://asiakastuki.elisa.fi/aihe/ladattavat/1/ oleva linkki lataa ElisaNetworkinstallerin, joka puolestaan lataa uusimman version. Sivulla tosin on vielä versio 12 mainittu.

Viikonloppuna tuota katselin minäkin ja jätin lataamatta, kun vanhaa versiota mainosti.

On se vaikeat päivittää noita sivuja. Pitää vissiin hallintoneuvostossa asti sivumuutoksia esittää ja päättää, jonka jälkeen niitä voi vasta muuttaa.
Käyttäjätaso 2

 Asia siirtyy nyt F-Securen kehitys ja tutkinta puolelle.

Elisan tuen välittämien ja F-Securen antamien ohjeiden mukaisilla Windowsin rekisterin muokkauksilla pääsi ko. virheilmoituksesta eroon. Asia tullaan kuulemma korjaamaan seuraavassa ohjelmistopäivityksessä. :)
Käyttäjätaso 5

THDX kirjoitti:

Rapsi kirjoitti:

Hei THDX,

No jopas, ei siis 14.1 poistanutkaan kyseistä ongelmaa.

Nyt olisi hyvä ladata tuolta FSDIAG-ohjelma: http://asiakastuki.saunalahti.fi/aihe/sl-ladattavat/1/ (kohdasta "Apuohjelmat ongelmatilanteissa"). Se luo lokitiedoston, joka liitetään vikailmoitukseen. Ilmoittele tähän ketjuun, kun olet suorittanut FSDIAG-ohjelman, niin tehdään vikailmoitus. Ilmoitellaan sitten s-postiosoite ja vikailmoituksen numero, joka tulisi liittää s-postin otsikkoon.


FSDIAG- ohjelma on suoritettu.


Lähetin sähköpostiisi viestin. Voit vastata siihen ja liittää vastaukseen FSDIAG-tiedoston, niin vikailmoitus lähtee niillä tiedoilla tutkittavaksi.
Yritinpä asentaa tuolta Windows 8:lle, asennus kysyi tilauskoodin, hyväksyi sen ja kertoi, että aiempaa tilausta jatkettu 2030 saakka. Sitten oli ainoana vaihtoehtona sulje ja sehän sulkeutui. Siinä se. Ei päivittynyt.

Eihän tämä nyt näin voi toimia.

Mac OS:ää en viitsi edes kokeilla.
Käyttäjätaso 5
Kunniamerkki
Päivitin Elisa Tietoturvan. Nyt se ilmoittaa versiokseen Elisa Turvakeskus 1.99 build 192. Ennen asennusta poistin vanhan version poistotyökalulla. Heti asennuksen valmistuttua tapahtumienvalvontaan tuli ketjun avausviestissä mainittu virheilmoitus:

Windows ei voi ladata laajennettavan laskurin DLL-tiedostoa F-Secure Gatekeeper Handler Starter. Dataosan ensimmäiset neljä tavua (DWORD) sisältävät Windows-virhekoodin.

Virhekoodi on 7E000000.
Käyttäjätaso 2

THDX kirjoitti:

 

Asiaa on nyt tutkittu F-Securen toimesta. Heidän ohje on käyttää poistotyökalua ja asentaa uudelleen. Tein ohjeen mukaan. Valitettavasti tuosta ei ole mitään apua. Odottelen nyt Elisan tuen lisäohjeita.

Päivitystä tähän aiheeseen: F-Secure on nyt tutkinut useammankin FSDIAG: in. Ja ovat siellä nyt vakuuttuneita ettei windowsin rekisterissä tai muualla ole jäänteitä aikaisemmista asennuksista. Asia siirtyy nyt F-Securen kehitys ja tutkinta puolelle.
Käyttäjätaso 6
F-securen kaveri kävi esittelemässä meille tuotetta ja ainakin kovasti kehuskeli tuolla pankkisuojauksella. Eiköhän tuo siis ole 🙂
Kiitos ohjeesta, näin vähän epäilinkin. Poistin vanhan ja asensin uuden ilman ongelmia.

Panenpa vielä Mac OS:n ajan tasalle.
Käyttäjätaso 4
Kunniamerkki
Moikka,

enpä osaa heti vastailla, mutta laitoin kysymyksen tästä. Ilmoitetaan, kun saadaan jokin vastaus asiaan :)

Tuolta voisi löytyä jotain asiaan liittyvää:

http://asiakastuki.elisa.fi/aihe/tietoturva/
Käyttäjätaso 2

NA kirjoitti:
Googlettelin asiaa lisää ja löysin F-Securen saksankieliseltä keskustelupalstalta yli vuoden vanhan ketjun, jossa kysytään samaisesta Perflib-virheilmoituksesta kuin täälläkin. Tuolla kyseessä on F-Secure Internet Security 2013. Käyttöjärjestelmästä ei ole mainintaa. F-Securen edustaja vastasi, että kyseessä ei ole vakava ongelma, mutta totesi, että tuota virheilmoitusta ei kuuluisi tulla näkyviin ja pyysi käyttäjää lähettämään fsdiag-tiedoston.

Eli aika kauan tätä on jo tutkittu, jos saksalainen käyttäjä on tuolloin lähettänyt pyydetyt tiedot.

Huomioi ettei F-Securen ohjelmisto enää anna ko. (eikä muutakaan)  virheilmoitusta.

Toisekseen, ainakaan minun mielestä ei turvaohjelmistoissa saa olla minkäänlaisia virheitä.

Miksei Elisa sitten ole etsinyt? 

Tästä siis on kyse: 

Tapahtumatunnus 1023 Perfilp:
"Windows ei voi ladata laajennettavan laskurin DLL-tiedostoa F-Secure
Gatekeeper Handler Starter. Dataosan ensimmäiset neljä tavua (DWORD)
sisältävät Windows-virhekoodin".

Itse löysin muutamassa minuutissa hyvin tod. näk. oikean ohjeen mistä tässä virheilmoituksessa on kyse. 

Tony Krijnen tekemä ohje: http://blogs.microsoft.nl/blogs/tonykrijnen/archive/2007/01/26/9958.aspx

(Jonka lähetin myös Elisan tuen tietoon)

Rekisterissä polku: HKEY_LOCAL_MACHINESYSTEMCurrentControlSetServicesF-SecureGatekeeperHandlerStarterPerformance ->Libraryssä mainittu paikka: 

C:ProgramFiles(x86)ElisaappsComputerSecurityAnti-Virusavperf.dll, josta ei löydy avperf.dll: ää, eikä löydy muualtakaan koneesta ja Elisan asiakkailla ei ole alkuperäistä asennustiedostoa.

Odottelen Elisan helpdeskin sähköpostikommenttia asiaan.
Käyttäjätaso 5
Kunniamerkki
Minun koneella tuota virheilmoitusta on näköjään tullut siitä asti, kun asensin Windows 8:n ja siihen Elisa Tietoturvan (siis 2. joulukuuta 2012 alkaen).
Käyttäjätaso 7
Kunniamerkki +2
Jaaha. Kukahan tuon pankkihomman on sitten päätänyt disabloida käytöstä. :smileyhuh:

3.3. postin mukaan (Jaksuu) F-Securen hemmo sitä mainostanut ja sitten sitä ei kuitenkaan olekaan.

Asiasta tietämättömien ja ymmärtämättömien 49 nron lippaskenkähemmojen päätöksellä vissiiin tätäkin taas hoideltu. Tullut varmaan halvemmaksi hommata versio, jossa tuota ei ole.
Käyttäjätaso 5
Kunniamerkki
Hyvä huomio. Minunkin koneesta puuttuu avperf.dll.

Maisanpappa kirjoitti:
Panenpa vielä Mac OS:n ajan tasalle.

Joo, panisin, jos saisin, mutta eihän Elisalla ole Macille uutta versiota.

Milloinkahan tulee?
Käyttäjätaso 7
Kunniamerkki +2

Susutin kirjoitti:
Tietoturvaan on tulossa ihan lähiaikoina uusi päivitys versioon 14.1, joten kannattaa seurailla milloin päivitys tulee. Kyllä se sieltä sitten sinullekin tupsahtaa. Pääset sitten noista virheilmoituksistakin eroon.

Onkohan täsä mukana se pankkisuojaus, mikä jo 2013 F-Securen omaan softaan tuli, mutta ei Elisan versiossa ollut?

Nythän F-Securen oma 2014 versio kehittynyt taas entisestä. Josko tuo Elisan 14.1 olisi sitten vihdoin ajan tasalla. No sen näkee kohta.
Käyttäjätaso 5
Kunniamerkki

THDX kirjoitti:

Vastaus on lähetetty, ison lokitiedoston kera 218Mt. Upload- nopeus on sen verran vaatimaton että lähetys kesti n. 35min.

Onko sinulla zip-tiedoston koko yli 200 Mt? Minulla ohjelman luoma fsdiag.zip on kooltaan 10,9 Mt. Purettuna samat tiedostot vievät tilaa 120 Mt.

Osallistu keskusteluun